# Uses of Interface
org.stianloader.remapper.MappingLookup

## Uses of MappingLookup in org.stianloader.remapper

Classes in org.stianloader.remapper with type parameters of type MappingLookup
Modifier and Type
Class
Description
`class`
`HierarchyAwareMappingDelegator<T extends MappingLookup & MappingSink>`
A `HierarchyAwareMappingDelegator` is an implementation of `MappingLookup` that binds mappings of class members provided by `MappingSink.remapMember(MemberRef, String)` to their top level definition.
Classes in org.stianloader.remapper that implement MappingLookup
Modifier and Type
Class
Description
`class`
`HierarchyAwareMappingDelegator<T extends MappingLookup & MappingSink>`
A `HierarchyAwareMappingDelegator` is an implementation of `MappingLookup` that binds mappings of class members provided by `MappingSink.remapMember(MemberRef, String)` to their top level definition.
`class`
`SimpleHierarchyAwareMappingLookup`
A simple implementation of `HierarchyAwareMappingDelegator` that uses a `SimpleMappingLookup` as a delegate.
`class`
`SimpleMappingLookup`
A simple implementation of `MappingLookup` which can be mutated via the implemented `MappingSink` interface.
Methods in org.stianloader.remapper that return MappingLookup
Modifier and Type
Method
Description
`final @NotNull MappingLookup`
Remapper.`getLookup()`
Obtain the `MappingLookup` instance from which this `Remapper` sources all source to destination namespace name mappings.
Methods in org.stianloader.remapper with parameters of type MappingLookup
Modifier and Type
Method
Description
`static @NotNull String`
Remapper.`getRemappedFieldDescriptor(@NotNull MappingLookup lookup, @NotNull String fieldDesc, @NotNull StringBuilder sharedBuilder)`
Remaps a field descriptor.
`static @NotNull String`
Remapper.`getRemappedMethodDescriptor(@NotNull MappingLookup lookup, @NotNull String methodDesc, @NotNull StringBuilder sharedBuilder)`
Remaps a method descriptor.
`static @NotNull String`
Remapper.`remapInternalName(@NotNull MappingLookup lookup, @NotNull String internalName, @NotNull StringBuilder sharedStringBuilder)`
Remap an internal name or array `String`, meaning that this method accepts the same kind of strings as `Type.getObjectType(String)`.
`static boolean`
Remapper.`remapSignature(@NotNull MappingLookup lookup, @NotNull String signature, int start, int end, @NotNull StringBuilder signatureOut)`
Remap a generic signature string, as used for example in `MethodNode.signature`, `FieldNode.signature` or `ClassNode.signature`.
`static boolean`
Remapper.`remapSignature(@NotNull MappingLookup lookup, @NotNull String signature, @NotNull StringBuilder out)`
Remap a generic signature string, as used for example in `MethodNode.signature`, `FieldNode.signature` or `ClassNode.signature`.
Constructors in org.stianloader.remapper with parameters of type MappingLookup
Modifier
Constructor
Description
``
`Remapper(@NotNull MappingLookup lookup)`
Constructor.